---------------------
PatchSet 12600 
Date: 2010/02/11 10:05:01
Author: amosjeffries
Branch: SQUID_2_7
Tag: (none) 
Log:
Author: Kieran Whitbread <k.j.whitbread@qmul.ac.uk>
Bug 2858: Segment violation in HTCP

Members: 
	src/htcp.c:1.55.2.2->1.55.2.3 

Index: squid/src/htcp.c
===================================================================
RCS file: /cvsroot/squid/squid/src/htcp.c,v
retrieving revision 1.55.2.2
retrieving revision 1.55.2.3
diff -u -r1.55.2.2 -r1.55.2.3
--- squid/src/htcp.c	4 May 2008 23:23:13 -0000	1.55.2.2
+++ squid/src/htcp.c	11 Feb 2010 10:05:01 -0000	1.55.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.c,v 1.55.2.2 2008/05/04 23:23:13 hno Exp $
+ * $Id: htcp.c,v 1.55.2.3 2010/02/11 10:05:01 amosjeffries Exp $
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
@@ -950,6 +950,11 @@
 	debug(31, 3) ("htcpHandleClr: htcpUnpackSpecifier failed\n");
 	return;
     }
+    if (!s->request) {
+	debug(31, 2) ("htcpHandleTstRequest: failed to parse request\n");
+	htcpFreeSpecifier(s);
+	return;
+    }
     if (!htcpAccessCheck(Config.accessList.htcp_clr, s, from)) {
 	debug(31, 2) ("htcpHandleClr: Access denied\n");
 	htcpFreeSpecifier(s);
